RESTinio

Public Member Functions | Private Types | List of all members
restinio::so5::a_timeout_handler_t Class Referencefinal

Agent that handles timeouts. More...

`#include <so_timer_manager.hpp>`

Inheritance diagram for restinio::so5::a_timeout_handler_t:

## Public Member Functions
| a_timeout_handler_t (context_t ctx)

## Private Types
typedef so_5::agent_t | so_base_type_t

## Detailed Description

Agent that handles timeouts.

Definition at line 269 of file so_timer_manager.hpp.

## Member Typedef Documentation

## ◆ so_base_type_t

typedef so_5::agent_t restinio::so5::a_timeout_handler_t::so_base_type_t
| private

Definition at line 272 of file so_timer_manager.hpp.

## Constructor & Destructor Documentation

## ◆ a_timeout_handler_t()

restinio::so5::a_timeout_handler_t::a_timeout_handler_t | ( | context_t | ctx | ) |
| inline

Definition at line 275 of file so_timer_manager.hpp.

The documentation for this class was generated from the following file:

- restinio/so5/so_timer_manager.hpp